function S = integral_sin_theta_si_sj ( thetai, thetaj, si, sj )
% \sin(\theta(s))̐ϕ
% int_{s_i}^{s_j} \sin {\theta_i N_{i,j} + \theta_j N_{j,i}}
    integrand = @(s) sin(thetai * (sj-s)/(sj-si) + thetaj * (s-si)/(sj-si));
    S = integral(integrand, si, sj);
end
