function S = integral_sin_theta_si_sj_s ( thetai, thetaj, si, sj, s )
% \sin(\theta(s))̐ϕ
% int_{s_i}^{s} \sin {\theta_i N_{i,j} + \theta_j N_{j,i}}
    integrand = @(s) sin(thetai * (sj-s)/(sj-si) + thetaj * (s-si)/(sj-si));
    S = integral(integrand, si, s);
end
