function dotq = beam_dynamic_equation_param (t,q, n,M,B,K,a,alpha)
% r[̉^
    un = q(1:n+1);
    vn = q(n+2:2*(n+1));
    
    f = zeros(n+1,1);
    f(n+1) = beam_dynamic_external_force(t);
    
    mat = [ M,  -a; ...
           -a',  0 ];
    vec = [ -K*un-B*vn+f; ...
            a'*(2*alpha*vn + (alpha^2)*un) ];
    sol = mat \ vec;
    dotvn = sol(1:n+1);
    
    dotq = [ vn; dotvn ];
end
