function [ Jlambda, Jmu ] = connection_matrices( point, triangle, h )
% ڑsvZ
    sz = size(point); ns = 2*sz(1);
    Jlambda = zeros(ns,ns);
    Jmu     = zeros(ns,ns);
    for row = triangle'
        i = row(1); j = row(2); k = row(3);
        xi = point(i,1); yi = point(i,2);
        xj = point(j,1); yj = point(j,2);
        xk = point(k,1); yk = point(k,2);
        [Jlambda_ijk,Jmu_ijk] = partial_connection_matrices(xi,yi,xj,yj,xk,yk,h);
        p = [2*i-1, 2*i, 2*j-1, 2*j, 2*k-1, 2*k];
        Jlambda(p,p) = Jlambda(p,p) + Jlambda_ijk;
        Jmu(p,p)     = Jmu(p,p)     + Jmu_ijk;
    end
end
