function [ Jlambda_ijk, Jmu_ijk ] = partial_connection_matrices( xi,yi, xj,yj, xk,yk, h )
% ڑsvZ
    S = (1/2)*det([xj-xi, xk-xi; yj-yi, yk-yi]);
    a =    1/(2*S)*[ yj-yk; yk-yi; yi-yj ];
    b = (-1)/(2*S)*[ xj-xk; xk-xi; xi-xj ];
    
    luu = (h*S)*a*a'; luv = (h*S)*a*b';
    lvu = (h*S)*b*a'; lvv = (h*S)*b*b';
    muu = 2*luu + lvv; muv = lvu;
    mvu = luv; mvv = 2*lvv + luu;
    
    l = [ luu, luv; lvu, lvv ];
    m = [ muu, muv; mvu, mvv ];
    
    Jlambda_ijk = l([1,4,2,5,3,6], [1,4,2,5,3,6]);
    Jmu_ijk     = m([1,4,2,5,3,6], [1,4,2,5,3,6]);
end
